// getLocalStorageData.ts

export const getAllLocalStorageItems = (): Record<string, string | null> => {
    const allData: Record<string, string | null> = {};
    
    for (let i = 0; i < localStorage.length; i++) {
      const key = localStorage.key(i);
      if (key) {
        const value = localStorage.getItem(key);
        allData[key] = value;
      }
    }
    return allData;
  };
  